# Makefile.in generated automatically by automake 1.4-p6 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999, 2001 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



SHELL = @SHELL@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@

top_builddir = ../..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@ $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
transform = @program_transform_name@

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = @host_alias@
host_triplet = @host@
AR = @AR@
AS = @AS@
ASFLAGS = @ASFLAGS@
CC = @CC@
CXX = @CXX@
CXXCPP = @CXXCPP@
DATADIR = @DATADIR@
DFB_CFLAGS_OMIT_FRAME_POINTER = @DFB_CFLAGS_OMIT_FRAME_POINTER@
DFB_INTERNAL_CFLAGS = @DFB_INTERNAL_CFLAGS@
DFB_LDFLAGS = @DFB_LDFLAGS@
DIRECTFB_BINARY_AGE = @DIRECTFB_BINARY_AGE@
DIRECTFB_CSOURCE = @DIRECTFB_CSOURCE@
DIRECTFB_INTERFACE_AGE = @DIRECTFB_INTERFACE_AGE@
DIRECTFB_MAJOR_VERSION = @DIRECTFB_MAJOR_VERSION@
DIRECTFB_MICRO_VERSION = @DIRECTFB_MICRO_VERSION@
DIRECTFB_MINOR_VERSION = @DIRECTFB_MINOR_VERSION@
DIRECTFB_VERSION = @DIRECTFB_VERSION@
DIRECT_BUILD_DEBUG = @DIRECT_BUILD_DEBUG@
DIRECT_BUILD_DEBUGS = @DIRECT_BUILD_DEBUGS@
DIRECT_BUILD_GETTID = @DIRECT_BUILD_GETTID@
DIRECT_BUILD_TEXT = @DIRECT_BUILD_TEXT@
DIRECT_BUILD_TRACE = @DIRECT_BUILD_TRACE@
DLLTOOL = @DLLTOOL@
DYNLIB = @DYNLIB@
ECHO = @ECHO@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
F77 = @F77@
FREETYPE_CFLAGS = @FREETYPE_CFLAGS@
FREETYPE_CONFIG = @FREETYPE_CONFIG@
FREETYPE_LIBS = @FREETYPE_LIBS@
FREETYPE_PROVIDER = @FREETYPE_PROVIDER@
FUSION_BUILD_MULTI = @FUSION_BUILD_MULTI@
GCJ = @GCJ@
GCJFLAGS = @GCJFLAGS@
GIF_PROVIDER = @GIF_PROVIDER@
HAVE_LIB = @HAVE_LIB@
HAVE_LINUX = @HAVE_LINUX@
INCLUDEDIR = @INCLUDEDIR@
INTERNALINCLUDEDIR = @INTERNALINCLUDEDIR@
JPEG_PROVIDER = @JPEG_PROVIDER@
LIB = @LIB@
LIBJPEG = @LIBJPEG@
LIBPNG = @LIBPNG@
LIBTOOL = @LIBTOOL@
LN_S = @LN_S@
LTLIB = @LTLIB@
LT_AGE = @LT_AGE@
LT_CURRENT = @LT_CURRENT@
LT_RELEASE = @LT_RELEASE@
LT_REVISION = @LT_REVISION@
MAINT = @MAINT@
MAKEINFO = @MAKEINFO@
MAN2HTML = @MAN2HTML@
MODULEDIR = @MODULEDIR@
MODULEDIRNAME = @MODULEDIRNAME@
OBJDUMP = @OBJDUMP@
OBJEXT = @OBJEXT@
OSX_LIBS = @OSX_LIBS@
PACKAGE = @PACKAGE@
PERL = @PERL@
PNG_PROVIDER = @PNG_PROVIDER@
RANLIB = @RANLIB@
RC = @RC@
RUNTIME_SYSROOT = @RUNTIME_SYSROOT@
SDL_CFLAGS = @SDL_CFLAGS@
SDL_CONFIG = @SDL_CONFIG@
SDL_LIBS = @SDL_LIBS@
SOPATH = @SOPATH@
STRIP = @STRIP@
SYSFS_LIBS = @SYSFS_LIBS@
THREADFLAGS = @THREADFLAGS@
THREADLIB = @THREADLIB@
VERSION = @VERSION@
VNC_CFLAGS = @VNC_CFLAGS@
VNC_CONFIG = @VNC_CONFIG@
VNC_LIBS = @VNC_LIBS@
X11_CFLAGS = @X11_CFLAGS@
X11_LIBS = @X11_LIBS@
ZLIB_LIBS = @ZLIB_LIBS@

INCLUDES =  	-I$(top_srcdir)/include		-I$(top_builddir)/lib		-I$(top_srcdir)/lib		-I$(top_srcdir)/src


input_LTLIBRARIES = libdirectfb_ucb1x00_ts.la

@BUILD_STATIC_TRUE@input_DATA = $(input_LTLIBRARIES:.la=.o)

inputdir = $(MODULEDIR)/inputdrivers

libdirectfb_ucb1x00_ts_la_SOURCES =  	ucb1x00_ts.c


libdirectfb_ucb1x00_ts_la_LDFLAGS =  	-export-dynamic			-avoid-version			$(DFB_LDFLAGS)


libdirectfb_ucb1x00_ts_la_LIBADD =  	$(top_builddir)/lib/direct/libdirect.la 	$(top_builddir)/src/libdirectfb.la

mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../../config.h
CONFIG_CLEAN_FILES = 
LTLIBRARIES =  $(input_LTLIBRARIES)


DEFS = @DEFS@ -I. -I$(srcdir) -I../..
CPPFLAGS = @CPPFLAGS@
LDFLAGS = @LDFLAGS@
LIBS = @LIBS@
libdirectfb_ucb1x00_ts_la_DEPENDENCIES =  \
$(top_builddir)/lib/direct/libdirect.la \
$(top_builddir)/src/libdirectfb.la
libdirectfb_ucb1x00_ts_la_OBJECTS =  ucb1x00_ts.lo
CFLAGS = @CFLAGS@
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(LDFLAGS) -o $@
DATA =  $(input_DATA)

DIST_COMMON =  Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP_ENV = --best
SOURCES = $(libdirectfb_ucb1x00_ts_la_SOURCES)
OBJECTS = $(libdirectfb_ucb1x00_ts_la_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .lo .o .obj .s
$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) $(top_srcdir)/rules/libobject.make
	cd $(top_srcdir) && $(AUTOMAKE) --gnu --include-deps inputdrivers/ucb1x00_ts/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-inputLTLIBRARIES:

clean-inputLTLIBRARIES:
	-test -z "$(input_LTLIBRARIES)" || rm -f $(input_LTLIBRARIES)

distclean-inputLTLIBRARIES:

maintainer-clean-inputLTLIBRARIES:

install-inputLTLIBRARIES: $(input_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(inputdir)
	@list='$(input_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "$(LIBTOOL)  --mode=install $(INSTALL) $$p $(DESTDIR)$(inputdir)/$$p"; \
	    $(LIBTOOL)  --mode=install $(INSTALL) $$p $(DESTDIR)$(inputdir)/$$p; \
	  else :; fi; \
	done

uninstall-inputLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	list='$(input_LTLIBRARIES)'; for p in $$list; do \
	  $(LIBTOOL)  --mode=uninstall rm -f $(DESTDIR)$(inputdir)/$$p; \
	done

.c.o:
	$(COMPILE) -c $<

# FIXME: We should only use cygpath when building on Windows,
# and only if it is available.
.c.obj:
	$(COMPILE) -c `cygpath -w $<`

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core
	-rm -f *.$(OBJEXT)

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

.c.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

.s.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

.S.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:

maintainer-clean-libtool:

libdirectfb_ucb1x00_ts.la: $(libdirectfb_ucb1x00_ts_la_OBJECTS) $(libdirectfb_ucb1x00_ts_la_DEPENDENCIES)
	$(LINK) -rpath $(inputdir) $(libdirectfb_ucb1x00_ts_la_LDFLAGS) $(libdirectfb_ucb1x00_ts_la_OBJECTS) $(libdirectfb_ucb1x00_ts_la_LIBADD) $(LIBS)

install-inputDATA: $(input_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(inputdir)
	@list='$(input_DATA)'; for p in $$list; do \
	  if test -f $(srcdir)/$$p; then \
	    echo " $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(inputdir)/$$p"; \
	    $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(inputdir)/$$p; \
	  else if test -f $$p; then \
	    echo " $(INSTALL_DATA) $$p $(DESTDIR)$(inputdir)/$$p"; \
	    $(INSTALL_DATA) $$p $(DESTDIR)$(inputdir)/$$p; \
	  fi; fi; \
	done

uninstall-inputDATA:
	@$(NORMAL_UNINSTALL)
	list='$(input_DATA)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(inputdir)/$$p; \
	done

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags -o $$here/TAGS $(ETAGS_ARGS) $$tags  $$unique $(LISP))

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = inputdrivers/ucb1x00_ts

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done

info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am:
install-exec: install-exec-am

install-data-am: install-inputLTLIBRARIES install-inputDATA
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am: uninstall-inputLTLIBRARIES uninstall-inputDATA
uninstall: uninstall-am
all-am: Makefile $(LTLIBRARIES) $(DATA)
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:
	$(mkinstalldirs)  $(DESTDIR)$(inputdir) $(DESTDIR)$(inputdir)


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-inputLTLIBRARIES mostlyclean-compile \
		mostlyclean-libtool mostlyclean-tags \
		mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-inputLTLIBRARIES clean-compile clean-libtool clean-tags \
		clean-generic mostlyclean-am

clean: clean-am

distclean-am:  distclean-inputLTLIBRARIES distclean-compile \
		distclean-libtool distclean-tags distclean-generic \
		clean-am
	-rm -f libtool

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-inputLTLIBRARIES \
		maintainer-clean-compile maintainer-clean-libtool \
		maintainer-clean-tags maintainer-clean-generic \
		distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: mostlyclean-inputLTLIBRARIES distclean-inputLTLIBRARIES \
clean-inputLTLIBRARIES maintainer-clean-inputLTLIBRARIES \
uninstall-inputLTLIBRARIES install-inputLTLIBRARIES mostlyclean-compile \
distclean-compile clean-compile maintainer-clean-compile \
mostlyclean-libtool distclean-libtool clean-libtool \
maintainer-clean-libtool uninstall-inputDATA install-inputDATA tags \
mostlyclean-tags distclean-tags clean-tags maintainer-clean-tags \
distdir info-am info dvi-am dvi check check-am installcheck-am \
installcheck install-exec-am install-exec install-data-am install-data \
install-am install uninstall-am uninstall all-redirect all-am all \
installdirs mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean


%.o: .libs/%.a %.la
	rm -f $<.tmp/*.o
	if test -d $<.tmp; then rmdir $<.tmp; fi
	mkdir $<.tmp
	(cd $<.tmp && $(AR) x ../../$<)
	$(LD) -o $@ -r $<.tmp/*.o
	rm -f $<.tmp/*.o && rmdir $<.tmp

.PHONY: $(LTLIBRARIES:%.la=.libs/%.a)

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
